import { useQuery } from '@tanstack/react-query';
import { containerTypesService } from '@/services/container-types.service';

export const CONTAINER_TYPES_QUERY_KEY = ['container-types'];

export function useContainerTypes() {
  return useQuery({
    queryKey: CONTAINER_TYPES_QUERY_KEY,
    queryFn: () => containerTypesService.getContainerTypes(),
    staleTime: Infinity,
  });
}